
Redmine - Defect #10972

Columns selection not displayed on the custom query form

2012-05-19 23:40 - Vitor Mello

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 2.0.1   

Resolution: Fixed Affected version: 2.0.0

Description

The Default columns in Custom queries is not working on Redmine 2.0, the fieldset tag "columns" is not rendering.

Environment:

Redmine version                          2.0.0.stable.9700

Ruby version                             1.8.7 (x86_64-linux)

Rails version                            3.2.3

Environment                              production

Database adapter                         MySQL

The helper content_tag must be in a output embedding tag <%= %>, that will fix the issue.

The issue is in the view: redmine/app/views/queries/_form.html.erb.

Solution:

<%= content_tag 'fieldset', :id => 'columns', :style => (query.has_default_columns? ? 'display:non

e;' : nil) do %>

        <legend><%= l(:field_column_names) %></legend>

        <%= render :partial => 'queries/columns', :locals => {:query => query}%>

<% end %>

or 

<%= field_set_tag l(:field_column_names), :id => 'columns',  :style => (query.has_default_columns?

 ? 'display:none;' : nil) do %>

       <%= render :partial => 'queries/columns', :locals => {:query => query}%>

<% end %>

Associated revisions

Revision 9702 - 2012-05-21 18:55 - Jean-Philippe Lang

Fixed that columns selection in not displayed on the custom query form (#10972).

History

#1 - 2012-05-21 18:56 - Jean-Philippe Lang

- Subject changed from Issue with Custom Query on Redmine 2.0 to Columns selection not displayed on the custom query form

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.0.1

- Resolution set to Fixed

Fixed in r9702. Thanks for pointing this out.

#2 - 2012-05-21 20:59 - Jean-Philippe Lang

- Status changed from Resolved to Closed
https://www.redmine.org/projects/redmine/repository/svn/revisions/9702


Merged.
